Change log for ecj package in Ubuntu

170 of 70 results
Published in disco-release on 2019-01-11
Deleted in disco-proposed (Reason: moved to release)
ecj (3.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (from the R4_10 tag, identifies itself as 3.16.0)
    - Refreshed the patches
    - Updated the version of the Maven pom
  * Standards-Version updated to 4.3.0
  * Updated the watch file

 -- Emmanuel Bourg <email address hidden>  Fri, 11 Jan 2019 13:17:10 +0100

Available diffs

Superseded in disco-release on 2019-01-11
Published in cosmic-release on 2018-08-06
Deleted in cosmic-proposed (Reason: moved to release)
ecj (3.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (from the R4_8 tag, identifies itself as 3.14.0)
    - Refreshed the patches
    - Updated the version of the Maven pom
    - Fixed the man page
  * Standards-Version updated to 4.2.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <email address hidden>  Mon, 06 Aug 2018 19:48:52 +0200

Available diffs

Superseded in cosmic-release on 2018-08-06
Published in bionic-release on 2018-04-19
Deleted in bionic-proposed (Reason: moved to release)
ecj (3.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (from the R4_7_3 tag, identifies itself as 3.13.3)
  * Updated the package description

 -- Emmanuel Bourg <email address hidden>  Tue, 17 Apr 2018 16:40:08 +0200

Available diffs

Superseded in bionic-release on 2018-04-19
Deleted in bionic-proposed on 2018-04-20 (Reason: moved to release)
ecj (3.13.2-1) unstable; urgency=medium

  * New upstream release (from the R4_7_2 tag, identifies itself as 3.13.2)
    - Removed an optional dependency on the dom module
    - Updated the version of the Maven pom
  * Standards-Version updated to 4.1.4

 -- Emmanuel Bourg <email address hidden>  Tue, 10 Apr 2018 15:38:54 +0200

Available diffs

Superseded in bionic-release on 2018-04-11
Deleted in bionic-proposed on 2018-04-12 (Reason: moved to release)
ecj (3.12.3-1) unstable; urgency=medium

  * New upstream release (from the R4_6_3 tag, identifies itself as 3.12.3)
    (Closes: #891259)
    - Removed the patches
    - Updated the version of the Maven pom
  * No longer build the -gcj packages (Closes: #892531)
  * Build the compiler.apt classes
  * Use the upstream man page for ecj
  * Removed the Conflicts/Replaces fields referencing very old packages
  * Removed the build dependency on dpkg
  * Download the upstream tarball with uscan and preserve the upstream project
    structure (minus the tests)
  * Added debian/README.source documenting the upgrade process
  * Added myself to the uploaders
  * Removed Matthias Klose from the uploaders
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11
  * Updated debian/watch
  * Use a secure URL for the debian/copyright Format field

 -- Emmanuel Bourg <email address hidden>  Wed, 28 Mar 2018 00:00:00 +0200

Available diffs

Superseded in bionic-release on 2018-04-01
Superseded in bionic-release on 2018-03-22
Published in artful-release on 2017-07-05
Deleted in artful-proposed (Reason: moved to release)
ecj (3.11.1-2) unstable; urgency=medium

  * Team upload.
  * Relocate org.eclipse.jdt:ecj to org.eclipse.jdt.core.compiler:ecj

 -- Emmanuel Bourg <email address hidden>  Tue, 04 Jul 2017 13:14:22 +0200

Available diffs

Superseded in artful-release on 2017-07-05
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
ecj (3.11.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <email address hidden>  Wed, 11 Jan 2017 21:38:57 +0100

Available diffs

Superseded in zesty-release on 2017-03-30
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
ecj (3.11.0-7) unstable; urgency=medium

  * Try to work around build failures on m68k, powerpcspe, ppc64 sh4, sparc64.

 -- Matthias Klose <email address hidden>  Tue, 13 Sep 2016 10:54:29 +0200

Available diffs

Superseded in yakkety-release on 2016-10-05
Deleted in yakkety-proposed on 2016-10-06 (Reason: moved to release)
ecj (3.11.0-6) unstable; urgency=medium

  * Build ecj1 on any architecture.

 -- Matthias Klose <email address hidden>  Sun, 04 Sep 2016 16:33:15 +0200

Available diffs

Superseded in yakkety-release on 2016-09-04
Deleted in yakkety-proposed on 2016-09-06 (Reason: moved to release)
ecj (3.11.0-4ubuntu2) yakkety; urgency=medium

  * Work around build failures on amd64 and s390x.

 -- Matthias Klose <email address hidden>  Fri, 05 Aug 2016 12:28:08 +0200
Superseded in yakkety-proposed on 2016-08-05
ecj (3.11.0-4ubuntu1) yakkety; urgency=medium

  * Work around build failures on amd64 and s390x.

 -- Matthias Klose <email address hidden>  Fri, 05 Aug 2016 12:28:08 +0200
Superseded in yakkety-proposed on 2016-08-05
ecj (3.11.0-4) unstable; urgency=medium

  * Build using GCC 6.

 -- Matthias Klose <email address hidden>  Thu, 04 Aug 2016 09:03:11 +0200
Published in xenial-updates on 2016-06-28
Deleted in xenial-proposed (Reason: moved to -updates)
ecj (3.10.1-2ubuntu1) xenial-proposed; urgency=medium

  * SRU: LP: #1592801.
  * Build-Depend-Indep: default-jre-headless. mh_installpoms fails with
    the gij runtime.

 -- Matthias Klose <email address hidden>  Wed, 15 Jun 2016 14:30:14 +0200
Superseded in yakkety-release on 2016-08-05
Deleted in yakkety-proposed on 2016-08-06 (Reason: moved to release)
ecj (3.11.0-1ubuntu2) yakkety; urgency=medium

  * Build-Depend-Indep: default-jre-headless. mh_installpoms fails with
    the gij runtime.

 -- Matthias Klose <email address hidden>  Wed, 15 Jun 2016 10:54:24 +0200
Superseded in yakkety-proposed on 2016-06-15
ecj (3.11.0-1ubuntu1) yakkety; urgency=medium

  * Build-Depend-Indep: default-jre-headless. mh_installpoms fails with
    the gij runtime.

 -- Matthias Klose <email address hidden>  Wed, 15 Jun 2016 10:54:24 +0200
Superseded in yakkety-proposed on 2016-06-15
ecj (3.11.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <email address hidden>  Tue, 14 Jun 2016 14:09:51 +0200
Superseded in yakkety-release on 2016-06-15
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
ecj (3.10.1-2) unstable; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <email address hidden>  Tue, 01 Sep 2015 01:32:26 +0200

Available diffs

Superseded in wily-release on 2015-09-03
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
ecj (3.10.1-1) unstable; urgency=medium


  * Upstream 3.10.1 release (marketing version 4.4.1).

 -- Matthias Klose <email address hidden>  Tue, 30 Sep 2014 16:38:20 +0200

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
ecj (3.10.1~rc2-1) unstable; urgency=medium


  * Upstream 3.10.1 release candidate 2.
  * Update package descriptions.

 -- Matthias Klose <email address hidden>  Sat, 30 Aug 2014 22:30:08 +0200

Available diffs

Superseded in utopic-release on 2014-09-03
Deleted in utopic-proposed on 2014-09-04 (Reason: moved to release)
ecj (3.10.0+3.9.0-3) unstable; urgency=medium


  * Add Vcs attributes to the control file.

 -- Matthias Klose <email address hidden>  Mon, 07 Jul 2014 19:01:18 +0200

Available diffs

Superseded in utopic-release on 2014-07-08
Deleted in utopic-proposed on 2014-07-09 (Reason: moved to release)
ecj (3.10.0+3.9.0-2) unstable; urgency=medium


  * Disable the source build and build the architecture dependent packages
    from the libecj-java in the archive. 

 -- Matthias Klose <email address hidden>  Mon, 07 Jul 2014 15:14:50 +0200

Available diffs

Superseded in utopic-release on 2014-07-07
Deleted in utopic-proposed on 2014-07-09 (Reason: moved to release)
ecj (3.10.0+3.9.0-1) unstable; urgency=high


  * Revert back to 3.9.0, as long as #753315 is not fixed.

 -- Matthias Klose <email address hidden>  Sat, 05 Jul 2014 15:55:57 +0200

Available diffs

Superseded in utopic-release on 2014-07-06
Deleted in utopic-proposed on 2014-07-07 (Reason: moved to release)
ecj (3.10.0-1) unstable; urgency=medium


  * Team upload.
  * New upstream release (built from the R4_4 tag, identifies itself as 3.10.0)
    - Refreshed gcc-changes.diff
    - Added a patch fixing compilation errors caused by @Override annotations
    - Updated the version of the Maven pom
    - Added the new -1.8 option in the manpages
  * debian/control:
    - Removed the recommended dependency on a JRE for libecj-java
    - Added the Homepage and the Vcs-* fields
  * Switch to debhelper level 9
  * Call 'set -e' in the body of the ecj maintainer scripts
  * Fixed a typo in the ecj manpages
  * Added a watch file
  * debian/rules:
    - Renamed the get-source target to get-orig-source and completed
      the script to build the upstream tarball.
    - Removed the option to build with the old ant1.7 package
    - Reduced the number of warnings during the compilation
    - Replace the bundle_version parameter with the actual version
      in message.properties
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <email address hidden>  Thu, 26 Jun 2014 17:45:28 +0200

Available diffs

Superseded in utopic-release on 2014-06-28
Deleted in utopic-proposed on 2014-06-29 (Reason: moved to release)
ecj (3.9.0-2) unstable; urgency=medium


  * Build using gcj-4.9.

 -- Matthias Klose <email address hidden>  Sat, 03 May 2014 16:46:31 +0200

Available diffs

Superseded in utopic-release on 2014-05-04
Published in trusty-release on 2013-12-11
Deleted in trusty-proposed (Reason: moved to release)
ecj (3.9.0-1) unstable; urgency=medium


  * Update to 4.3.1 (built from the R4_3_1 tag, identifies itself as 3.9.0).

 -- Matthias Klose <email address hidden>  Tue, 10 Dec 2013 15:50:07 +0100

Available diffs

Superseded in trusty-release on 2013-12-11
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
ecj (3.8.2-4) unstable; urgency=low


  * Build using gcj-4.8 on all architectures.

 -- Matthias Klose <email address hidden>  Mon, 01 Jul 2013 01:17:16 +0200
Superseded in saucy-release on 2013-07-02
Deleted in saucy-proposed on 2013-07-03 (Reason: moved to release)
ecj (3.8.2-2ubuntu1) saucy; urgency=low

  * Use gcj-4.7 to build on all architectures.
 -- Matthias Klose <email address hidden>   Fri, 26 Apr 2013 14:01:16 +0200
Superseded in saucy-proposed on 2013-04-26
ecj (3.8.2-2) unstable; urgency=low


  * Build using gcj-4.6 on mips.

 -- Matthias Klose <email address hidden>  Mon, 08 Apr 2013 18:56:06 +0200
Superseded in saucy-release on 2013-04-26
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
ecj (3.5.1-6) unstable; urgency=low


  * Allow pacckage to build with gcj-4.6 on ia64.

 -- Matthias Klose <email address hidden>  Sun, 06 Jan 2013 18:54:59 +0100

Available diffs

Superseded in raring-release on 2013-01-07
Obsolete in quantal-release on 2015-04-24
ecj (3.5.1-4) unstable; urgency=low


  * Rebuild using GCC-4.7.

 -- Matthias Klose <email address hidden>  Tue, 10 Apr 2012 14:47:52 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
ecj (3.5.1-3) unstable; urgency=low

  [ James Page ]
  * Add maven artifact deployment to resolve FTBFS for 
    tomcat-maven-plugin (LP: #835769):
    - debian/control: added maven-repo-helper to Build-Depends-Indep
    - debian/rules: install maven artifacts, added get-orig-poms target 
      to retrieve original pom files
    - debian/libecj-java.poms: POM file locator.
    - debian/poms/ecj.pom: Upstream POM file from Maven repo1.
    - debian/libecj-java.install: removed - install handled by m-r-h.

  [ Matthias Klose ]
  * Remove Jerry Haltom and Michael Koch from uploaders.
 -- Matthias Klose <email address hidden>   Thu,  15 Sep 2011 10:40:30 +0000

Available diffs

Superseded in oneiric-release on 2011-09-15
ecj (3.5.1-2.1ubuntu1) oneiric; urgency=low

  * Add maven artifact deployment to resolve FTBFS for
    tomcat-maven-plugin (LP: #835769):
    - debian/control: added maven-repo-helper to Build-Depends-Indep
    - debian/rules: install maven artifacts, added get-orig-poms target
      to retrieve original pom files
    - debian/libecj-java.poms: POM file locator.
    - debian/poms/ecj.pom: Upstream POM file from Maven repo1.
    - debian/libecj-java.install: removed - install handled by m-r-h.
 -- James Page <email address hidden>   Mon, 12 Sep 2011 22:47:00 +0100
Superseded in oneiric-release on 2011-09-14
ecj (3.5.1-2.1) unstable; urgency=low
  * Non-maintainer upload.  * Enable armhf architecture for ecj1 (Closes: #631070)  -- Hector Oron <email address hidden>  Wed, 13 Jul 2011 22:13:12 +0100
Superseded in oneiric-release on 2011-07-27
ecj (3.5.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Move ecj1 binary to the multiarch gcc directory so gcj can find it.
  * Create a link to ecj1 in our build directory so that gcj can find it
    for rebootstrapping ecj1.

  [ Matthias Klose]
  * Build with default gcj-jdk.
  * ecj1: Provide a compatibility symlink in /usr/lib/gcc/ecj1.
 -- Matthias Klose <email address hidden>   Mon,  13 Jun 2011 13:40:44 +0000

Available diffs

Superseded in oneiric-release on 2011-06-13
ecj (3.5.1-1ubuntu4) oneiric; urgency=low

  * Build using gcj-4.6.
 -- Matthias Klose <email address hidden>   Sun, 01 May 2011 15:44:01 +0200

Available diffs

Superseded in oneiric-release on 2011-05-01
Obsolete in natty-release on 2013-06-04
ecj (3.5.1-1ubuntu3) natty; urgency=low

  * Move ecj1 binary to the multiarch gcc directory so gcj can find it.
  * Create a link to ecj1 in our build directory so that gcj can find it
    for rebootstrapping ecj1.
  * Build with gcj-4.5 on armel instead of gcj-4.4 since gcj-4.4 dies with a
    bus error.
 -- Steve Langasek <email address hidden>   Tue, 12 Apr 2011 11:25:19 -0700

Available diffs

Superseded in natty-release on 2011-04-14
ecj (3.5.1-1ubuntu2) natty; urgency=low

  * Build with gcj-4.4 again. openjdk-6 fails to bootstrap using
    the ecj built with gcj-4.5.
 -- Matthias Klose <email address hidden>   Thu, 14 Oct 2010 16:40:06 +0200

Available diffs

Superseded in natty-release on 2010-10-14
ecj (3.5.1-1ubuntu1) natty; urgency=low

  * Rebuild with gcj-4.5.
 -- Matthias Klose <email address hidden>   Tue, 12 Oct 2010 15:18:03 +0200

Available diffs

Superseded in natty-release on 2010-10-12
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
ecj (3.5.1-1) unstable; urgency=low

  * Update to the final 3.5.1 release.
  * Update GCCMain.java from rhug/eclipse-gcj.
 -- Artur Rona <email address hidden>   Mon,  23 Nov 2009 22:07:10 +0000

Available diffs

Superseded in lucid-release on 2009-11-23
Obsolete in karmic-release on 2013-03-04
ecj (3.5.1-0ubuntu1) karmic; urgency=low

  * Update to the final 3.5.1 release.
  * Update GCCMain.java from rhug/eclipse-gcj.

 -- Matthias Klose <email address hidden>   Tue, 29 Sep 2009 22:15:16 +0200

Available diffs

Superseded in karmic-release on 2009-10-02
ecj (3.5+20090820-1) unstable; urgency=low

  * Update to the R3_5_maintenance branch.
    - Fixes eclipse #285466, bootstrap error in OpenJDK.
  * Set sections to java.

 -- Matthias Klose <email address hidden>   Mon,  24 Aug 2009 13:18:46 +0100
Superseded in karmic-release on 2009-08-24
ecj (3.5+20090820-0build1) karmic; urgency=low

  * Update to the R3_5_maintenance branch.
    - Fixes eclipse #285466, bootstrap error in OpenJDK.
  * Set sections to java.

 -- Matthias Klose <email address hidden>   Thu, 20 Aug 2009 19:34:12 +0200

Available diffs

Superseded in karmic-release on 2009-08-21
ecj (3.5-1) unstable; urgency=low

  * New upstream version.
  * Update to the R3_5_maintenance branch 20090728.
  * Update GCCMain.java.
  * Build using gcj-4.4-jdk on all architectures.

Available diffs

Superseded in karmic-release on 2009-07-30
ecj (3.4.2-2ubuntu8) karmic; urgency=low

  * Fix Maintainer field per DebianMaintainerField.

 -- Colin Watson <email address hidden>   Wed, 24 Jun 2009 15:26:42 +0100

Available diffs

Superseded in karmic-release on 2009-06-24
ecj (3.4.2-2ubuntu7) karmic; urgency=low

  * Make libecj-java-gcj a Suggests rather than a Recommends of libecj-java,
    now that it is recommended by gcj-4.4-jdk (LP: #347393)

 -- Thierry Carrez <email address hidden>   Fri, 12 Jun 2009 13:20:14 +0200

Available diffs

Superseded in karmic-release on 2009-06-24
ecj (3.4.2-2ubuntu6) karmic; urgency=low

  * Revert last change, fix dependency on gcj-4.4-jre-lib.

 -- Matthias Klose <email address hidden>   Tue, 28 Apr 2009 18:23:03 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
ecj (3.4.2-2ubuntu5) karmic; urgency=low

  * Rebuild with gcj-4.3 to fix broken dependency on gcj4.4-jre-lib.

 -- Matthias Klose <email address hidden>   Tue, 28 Apr 2009 12:17:35 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
ecj (3.4.2-2ubuntu4) karmic; urgency=low

  * Revert last change, fix dependency on gcj-4.4-jre-lib.

 -- Matthias Klose <email address hidden>   Tue, 28 Apr 2009 13:52:10 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
ecj (3.4.2-2ubuntu3) karmic; urgency=low

  * Rebuild with gcj-4.3 to fix broken dependency on libgcj10-jar.

 -- Matthias Klose <email address hidden>   Tue, 28 Apr 2009 12:17:35 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
ecj (3.4.2-2ubuntu2) karmic; urgency=low

  * Revert last change, fix dependency on gcj-4.4-jre-headless.

 -- Matthias Klose <email address hidden>   Mon, 27 Apr 2009 19:33:56 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
ecj (3.4.2-2ubuntu1) karmic; urgency=low

  * Rebuild with gcj-4.3 to fix broken dependency on gij-4.4.

 -- Matthias Klose <email address hidden>   Mon, 27 Apr 2009 19:18:27 +0200

Available diffs

Superseded in karmic-release on 2009-04-27
ecj (3.4.2-2) experimental; urgency=low

  * Build using gcj-4.4-jdk.
  * Build for hppa.

Available diffs

Superseded in karmic-release on 2009-04-27
Obsolete in jaunty-release on 2013-02-28
ecj (3.4.2-0ubuntu1) jaunty; urgency=low

  * New upstream version 3.4.2, built from the v_894_R34x tag,
    R3_4_maintenance branch.

 -- Matthias Klose <email address hidden>   Wed, 11 Feb 2009 16:40:01 +0100

Available diffs

Superseded in jaunty-release on 2009-02-11
Obsolete in intrepid-release on 2013-02-20
ecj (3.3.0+0728-10) unstable; urgency=low

  * libecj-java: Recommend default-jre-headless | java2-runtime-headless
    instead of java2-runtime.

 -- Thierry Carrez <email address hidden>   Tue,  09 Sep 2008 02:01:58 +0100

Available diffs

Superseded in intrepid-release on 2008-09-09
ecj (3.3.0+0728-9) unstable; urgency=low

  * Don't build on alpha, arm, hppa.

Superseded in intrepid-release on 2008-04-29
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
ecj (3.3.0+0728-5) unstable; urgency=medium

  * Make ecj architecture dependent, dependencies depend on the jvm used.
  * ecj: Depend on gij-x.y.

Superseded in gutsy-release on 2007-09-12
ecj (3.3.0+0728-2) unstable; urgency=low

  * Tighten build-dependency on libgcj-bc.

 -- Matthias Klose <email address hidden>   Mon,  10 Sep 2007 15:47:57 +0100
Superseded in gutsy-release on 2007-09-10
ecj (3.3.0+0728-1ubuntu3) gutsy; urgency=low

  * ecj-gcj: Depend on ecj.

 -- Matthias Klose <email address hidden>   Thu, 09 Aug 2007 08:16:24 +0000
Superseded in gutsy-release on 2007-08-09
ecj (3.3.0+0728-1ubuntu2) gutsy; urgency=low

  * Fix typo, build using gcj-4.2.

 -- Matthias Klose <email address hidden>   Mon, 06 Aug 2007 11:34:49 +0200
Superseded in gutsy-release on 2007-08-06
ecj (3.3.0+0728-1ubuntu1) gutsy; urgency=low

  * Build-depend on gcj-4.2 (>= 4.2.1-2).
  * Build using gcj-4.2 on all architectures.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Mon, 06 Aug 2007 00:19:16 +0000
Superseded in gutsy-release on 2007-08-06
ecj (3.3.0+0728-0ubuntu1) gutsy; urgency=low

  * New upstream version, taken from the R3_3_maintenance tag.
  * Build using gcj-4.2 (except m68k).
  * Stop building the ecj-bootstrap and ecj-bootstrap-gcj packages.
  * Build a libecj-java-gcj package.
  * Update debian/copyright, eclipse is EPL, not CPL anymore.
  * BC-compile ecj-gcj and ecj1.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Sat, 04 Aug 2007 20:43:19 +0200
Superseded in gutsy-release on 2007-08-04
ecj (3.3.0-2ubuntu1) gutsy; urgency=low

  * Build using gcj-4.2.
  * Set Ubuntu maintainer address.

Superseded in gutsy-release on 2007-07-22
ecj (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Don't reference the transitional bootstrap package in the README.
    Closes: #426887.
  * Split out the library into libecj-java. Closes: #421621.

 -- Matthias Klose <email address hidden>   Fri,  13 Jul 2007 15:11:55 +0100
Superseded in gutsy-release on 2007-07-13
ecj (3.3.0-0ubuntu1) gutsy; urgency=low

  * New upstream release.

 -- Matthias Klose <email address hidden>   Tue, 03 Jul 2007 03:03:35 +0200
Superseded in gutsy-release on 2007-07-04
ecj (3.3~M7-2) unstable; urgency=low

  * debian/control: Make ecj and ecj-gcj conflict and replace their
    eclipse-ecj and eclipse-ecj-gcj counterparts. Closes: #421302.

Superseded in gutsy-release on 2007-05-23
ecj (3.2.2-0ubuntu3) gutsy; urgency=low

  * ecj-gcj: Conflict with eclipse-ecj-gcj.

 -- Matthias Klose <email address hidden>   Thu, 03 May 2007 14:15:02 +0200
Superseded in gutsy-release on 2007-05-03
ecj (3.2.2-0ubuntu2) gutsy; urgency=low

  * Rebuild for gcj generics.
  * Adjust (build-)dependencies.

 -- Matthias Klose <email address hidden>   Thu,  8 Mar 2007 15:07:45 +0000
Superseded in gutsy-release on 2007-04-24
Obsolete in feisty-release on 2009-08-20
ecj (3.2.2-0ubuntu1) feisty; urgency=low

  * Adjust dependencies for versions in feisty.
  * Set Ubuntu maintainer address.

Superseded in feisty-release on 2007-03-07
ecj (3.2.1-6ubuntu2) feisty; urgency=low

  * Split out patches.
  * Add ecj-square-bracket-classpath.diff.
  * ecj-bootstrap: Add compatibilty script ecj-bootstrap.
  * Install the jar as eclipse-ecj.jar, provide an ecj.jar symlink.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Fri, 16 Feb 2007 20:37:39 +0100
Superseded in feisty-release on 2007-02-17
ecj (3.2.1-6ubuntu1) feisty; urgency=low

  * Rename source and binary package to ecj.
  * Pass gcj and gcj-dbtool versions to aot-compile.

170 of 70 results